## fortune-mod-1.99.1.tar.bz2

=== datfiles/Makefile ===

COOKIES=art ascii-art computers cookie definitions drugs education ethnic \
	food fortunes goedel humorists kids law linuxcookie literature \
	love magic medicine men-women miscellaneous news people pets \
	platitudes politics riddles science songs-poems sports \
	startrek translate-me wisdom work linux perl knghtbrd \
	paradoxum zippy debian disclaimer

STRFILE=../util/strfile

.PHONY: all cookies o-cookies w-cookies install clean

all: cookies o-cookies w-cookies

check:
	for i in $(COOKIES) ; \
		do \
			echo -n "Testing $$i..."; \
			if ! tail -n 1 $$i | grep -q ^%$  ; then \
			        echo " failed % check" ; \
				echo "Fortune cookie file does not end in a single %" ; \
				exit 1; \
			fi;\
			if egrep -q ".{72}." $$i ; then \
				echo " failed length check"; \
				echo "Fortune cookie file contains a line longer than 72 characters"; \
				exit 1; \
			fi; \
			echo " passed " ;\
		done;

cookies: cookies-stamp

o-cookies:
	if [ $(OFFENSIVE) = 1 ] ; then \
	    cd off && $(MAKE) OCOOKIEDIR=$(OCOOKIEDIR) ; fi

w-cookies:
	if [ $(WEB) = 1 ] ; then \
	    cd html && $(MAKE) WCOOKIEDIR=$(WCOOKIEDIR); fi

cookies-stamp:
	rm -f *.dat
	for i in $(COOKIES) ; \
	    do \
	        if [ ! -f $$i.old ] ; then \
	        	cp $$i $$i.old; \
		fi; \
	        recode latin1..u8 $$i ; \
		$(STRFILE) $$i ; \
		ln -s $$i $$i.u8 || exit $? ; \
	    done
	touch cookies-stamp

install: cookies-stamp
	install -m 0755 -d $(COOKIEDIR)
	if [ $(OFFENSIVE) = 1 ] ; then cd off && $(MAKE) install ; fi
	if [ $(WEB) = 1 ] ; then cd html && $(MAKE) install ; fi
	for i in $(COOKIES) ; do \
		install -m 0644 $$i $$i.dat $(COOKIEDIR) || exit $? ; \
		cp -d $$i.u8 $(COOKIEDIR) ; \
		done

clean:
	rm -f cookies-stamp *.dat
	rm -f *.u8
	cd off && $(MAKE) clean
	cd html && $(MAKE) clean
	for i in $(COOKIES) ; do \
		if [ -f $$i.old ] ; then \
			mv $$i.old $$i; \
		fi; \
	done

=== datfiles/off/Makefile ===

OCOOKIES_UNROTATED=drugs misandry privates sex astrology ethnic \
	miscellaneous racism songs-poems black-humor hphobia misogyny \
	religion vulgarity definitions limerick politics riddles zippy \
	cookie fortunes linux art atheism debian knghtbrd

OCOOKIES_ROTATED=

OCOOKIES=$(OCOOKIES_UNROTATED) $(OCOOKIES_ROTATED)

STRFILE=../../util/strfile
ROT=../../util/rot


all:	ocookies-stamp

ocookies-stamp:	rotated-stamp
	rm -f *.dat
	for i in $(OCOOKIES) ; do $(STRFILE) -x $$i || exit $$? ; done
	touch ocookies-stamp

rotated-stamp: recoded-stamp
	for i in $(OCOOKIES_UNROTATED) ; \
	    do $(ROT) < unrotated/$$i > $$i || exit $$? ; ln -s $$i $$i.u8; done
	touch rotated-stamp

recoded-stamp:
	for i in $(OCOOKIES_UNROTATED) ; \
	    do \
	        if [ ! -f unrotated/$$i.old ]; then \
	    	    cp unrotated/$$i unrotated/$$i.old ; \
		fi; \
		recode latin1..u8 unrotated/$$i; \
	    done
	touch recoded-stamp
	
install:
	install -m 0755 -d $(OCOOKIEDIR)
	for i in $(OCOOKIES) ; \
	    do install -m 0644 $$i $$i.dat $(OCOOKIEDIR) || exit $$? ; \
	    cp -d $$i.u8 $(OCOOKIEDIR) ; \
	done

clean:
	rm -f ocookies-stamp rotated-stamp recoded-stamp *.dat $(OCOOKIES_UNROTATED)
	rm -f *u8
	for i in $(OCOOKIES_UNROTATED) ; do \
		if [ -f unrotated/$$i.old ] ; then \
			mv unrotated/$$i.old unrotated/$$i; \
		fi; \
	done

=== debian/control ===
Source: fortune-mod
Section: games
Priority: optional
Maintainer: Pascal Hakim <pasc@debian.org>
Uploaders: Joshua Kwan <joshk@triplehelix.org>
Standards-Version: 3.6.2.1
Build-Depends: debhelper, recode, librecode-dev

Package: fortune-mod
Architecture: any
Replaces: fortune
Provides: fortune
Conflicts: fortune
Depends: ${shlibs:Depends}, fortunes-min | fortune-cookie-db
Suggests: xcontrib, bsdmainutils
Description: provides fortune cookies on demand
 These are the machine-dependent parts of the fortune package, i.e.
 the fortune program and the programs used for generating the data files.
 The fortune package displays epigrams selected randomly from a selection
 of fortune files. This is an enhanced version of the BSD program.
 The data files (which can be shared) are contained in the 'fortunes-min',
 'fortunes', and 'fortunes-off' packages.

Package: fortunes-min
Architecture: all
Depends: fortune-mod (>= 9708-12)
Replaces: fortunes (<= 9708-6)
Provides: fortune-cookie-db
Description: Data files containing fortune cookies
 This package contains a small number of 'fortune cookies' for the
 bandwidth conscious.  There are over 15000 different 'fortune cookies'
 in the fortunes package.  You'll need the fortune-mod package to display
 the cookies.

Package: fortunes
Architecture: all
Depends: fortune-mod (>= 9708-12), fortunes-min
Provides: fortune-cookie-db
Description: Data files containing fortune cookies
 There are far over 15000 different 'fortune cookies' in this package.
 You'll need the fortune-mod package to display the cookies.

Package: fortunes-off
Architecture: all
Depends: fortune-mod (>= 9708-12), fortunes
Replaces: fortunes (<= 9708-0.1)
Provides: fortune-cookie-db
Description: Data files containing offensive fortune cookies
 This package contains 'fortune cookies' which some may consider to be
 offensive.  Please do not install this package if you or your users are
 easily offended.  You'll need the fortune-mod package to display the
 cookies.

=== debian/rules ===
#! /usr/bin/make -f

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	$(MAKE) clean
	rm -f build-stamp
	dh_clean

binary-indep: build
	dh_testdir -i
	dh_testroot -i
	dh_clean -i -k
	dh_installdirs -i
	$(MAKE) fortune/fortune.man prefix=
	$(MAKE) install-cookie prefix=$(CURDIR)/debian/fortunes
	mv debian/fortunes/usr/share/games/fortunes/off debian/fortunes-off/usr/share/games/fortunes
	mv debian/fortunes/usr/share/games/fortunes/{fortunes,literature,riddles}{,.dat,.u8} debian/fortunes-min/usr/share/games/fortunes
	dh_installdocs -i
#	dh_installexamples -i
#	dh_installmenu -i
#	dh_installinit -i
#	dh_installcron -i
#	dh_installmanpages -i
#	dh_undocumented -a
	dh_installchangelogs -i ChangeLog
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
#	dh_shlibdeps -i
	dh_gencontrol -i
#	dh_makeshlibs -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build
	dh_testdir -a
	dh_testroot -a
	dh_clean -a -k
	dh_installdirs -a
	$(MAKE) install-fortune install-util install-man \
                  prefix=$(shell pwd)/debian/tmp
	install -m 0644 -o root -g root \
	   fortune/fortune.man debian/tmp/usr/share/man/man6/fortune.6
	dh_installdocs -a
#	dh_installexamples -a
	dh_installmenu -a
#	dh_installinit -a
#	dh_installcron
#	dh_installmanpages -a
#	dh_undocumented -a
	dh_installchangelogs -a ChangeLog
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
#	dh_makeshlibs -a
	dh_md5sums -a
	dh_builddeb -a

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

# Local Variables:
# mode: makefile
# End:
